Name: libwebp
Version: 1.0.2
Release: 0
License: BSD-3-Clause
Summary: A new image format for the Web
Url: https://developers.google.com/speed/webp/

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: libutil-devel
BuildRequires: zlib-devel
BuildRequires: libjpeg-turbo-devel
BuildRequires: xz-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: giflib-devel

Source0: https://github.com/webmproject/libwebp/archive/v%{version}.tar.gz

%description
WebP is a modern image format that provides superior lossless and lossy compression for images on the web. 

%package -n libwebp7
Summary: webp library

%description -n libwebp7
WebP library


%package -n libwebpdecoder3
Summary: webp decoder library

%description -n libwebpdecoder3
WebP decoder library


%package -n libwebpdemux2
Summary: webp demuxer library

%description -n libwebpdemux2
WebP demuxer library


%package devel
Summary: libwebp development files
Requires: libwebp = %{version}
Requires: libwebp7
Requires: libwebpdecoder3
Requires: libwebpdemux2

%description devel
libwebp development files

%prep
%setup -q

%build

./autogen.sh 

%configure \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --with-aix-soname=svr4 \
  --disable-static \
  --enable-libwebpdecoder \
  # end

%make_build

%install

%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files
%defattr(-, qsys, *none)

%{_bindir}/*
%{_mandir}/man1/*

%files -n libwebp7
%defattr(-, qsys, *none)

%{_libdir}/libwebp.so.7

%files -n libwebpdecoder3
%defattr(-, qsys, *none)

%{_libdir}/libwebpdecoder.so.3

%files -n libwebpdemux2
%defattr(-, qsys, *none)

%{_libdir}/libwebpdemux.so.2

%files devel
%defattr(-, qsys, *none)

%{_includedir}/webp/*
%{_libdir}/libwebp*.so
%{_libdir}/pkgconfig/libwebp*

%changelog
* Mon Aug 5 2019 Xu Meng <mengxumx@cn.ibm.com>
- The initial release on IBM i